import request from "@/utils/request";

// 人员闸口-分页列表
export function getLogGatePageList(data) {
  return request({
    url: "/admin/log/gatePageList",
    method: "post",
    data,
  });
}
//人员闸口-设备通行地点列表
export function getLogGateSnAddressList(data) {
  return request({
    url: "/admin/log/gateSnAddressList",
    method: "get",
  });
}
// 人员闸口-SN列表
export function getLogGateSnList(data) {
  return request({
    url: "/admin/log/gateSnList",
    method: "get",
  });
}
// 人员闸口-导出
export function getLogGateExcel(data) {
  return request({
    url: "/admin/log/gateExcel",
    method: "post",
    responseType: "blob",
    data,
  });
}

// 人员摄像头-分页列表
export function getLogCameraPageList(data) {
  return request({
    url: "/admin/log/cameraPageList",
    method: "post",
    data,
  });
}

// 人员摄像头-导出
export function getLogCameraExcel(data) {
  return request({
    url: "/admin/log/cameraExcel",
    method: "post",
    responseType: "blob",
    data,
  });
}
// 人员进出港-分页列表
export function getLogPortPageList(data) {
  return request({
    url: "/admin/log/portPageList",
    method: "post",
    data,
  });
}
// 人员进出港-状态
export function getLogPortStatus() {
  return request({
    url: "/admin/log/portStatus",
    method: "get",
  });
}

//人员进出港-航空公司列表
export function getLogPortAirlineCompanyList(data) {
  return request({
    url: "/admin/log/portAirlineCompanyList",
    method: "get",
  });
}
// 人员进出港-出发地目的地列表
export function getLogPortAddressList(data) {
  return request({
    url: "/admin/log/portAddressList",
    method: "get",
  });
}

// 人员进出港-导出
export function getLogPortExcel(data) {
  return request({
    url: "/admin/log/portExcel",
    method: "post",
    responseType: "blob",
    data,
  });
}
// 车辆卡口-分页列表
export function getLogCarCapturePageList(data) {
  return request({
    url: "/admin/log/carCapturePageList",
    method: "post",
    data,
  });
}

//车辆卡口-设备通行地点列表
export function getLogCarSnAddressList(data) {
  return request({
    url: "/admin/log/carSnAddressList",
    method: "get",
  });
}
// 车辆卡口-SN列表
export function getLogCarSnList(data) {
  return request({
    url: "/admin/log/carSnList",
    method: "get",
  });
}
// 车辆卡口-车辆轨迹
export function getLogCarTrajectoryPageList(data) {
  return request({
    url: "/admin/log/carTrajectoryPageList",
    method: "post",
    data,
  });
}


// 车辆卡口-导出
export function getLogCarCaptureExcel(data) {
  return request({
    url: "/admin/log/carCaptureExcel",
    method: "post",
    responseType: "blob",
    data,
  });
}
